if (history.pushState) {
	var ajaxState = 0;
	
	function loadContent(url, push) {
		ajaxState++;
		$('#content').load(url, function (text, status, xhr) {
			if (status == 'success') {
				var title = xhr.getResponseHeader('X-AJAX-Title');
				document.title = title;
				if (push) {
					scrollTo(0, 0);
					history.pushState('', title, url);
				}
			}
		});
	}
	
	$('a[href]', $('#content')).live('click', function (event) {
		var href = $(this).attr('href');
		if (!/[:#]/.test(href)) {
			loadContent(href, true);
			return false;
		}
	});
	
	onpopstate = function (event) {
		if (ajaxState && !/#/.test(location.href)) {
			loadContent(location.href);
		}
	};
}
